version: "3.7"
#--------------------------------------------------------------------
#Solido DAMP V1.0: Dev stack for Prestashop / Wordpress / Laravel
#Based on dev-docker-apache2.4-php8-mariadb10.1
#https://github.com/Pixelao/dev-docker-apache2.4-php8-mariadb10.1
#LABEL MAINTAINER="Adrián Martín Ramos <contacto@adrianmr.com>"
#--------------------------------------------------------------------
networks:
  skeleton-docker.network:
    driver: bridge

services:
  php:
    build:
      context: ./conf/php
      args:
        VERSION: ${PHPVERSION}-fpm-alpine
    env_file: ./conf/.env/php.env
    restart: always
    tty: true
    container_name: ${PROJECT}.php.${ENV}
    networks:
      - skeleton-docker.network
    ports:
      - "9000:9000"
    volumes:
      - ./volume/app/php:/usr/local/etc/php
      - ./volume/www/:/var/www/
      - ./volume/logs:/var/log/

  apache:
    build:
      context: ./conf/apache
      args:
        SERVER_NAMEZ: ${DOMAIN}
    restart: always
    container_name: ${PROJECT}.apache.${ENV}
    networks:
      - skeleton-docker.network
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - ./volume/certs:/etc/certs
      - ./volume/www/:/var/www/
      - ./volume/logs:/usr/local/apache2/logs/

  mariadb:
    image: mariadb:10.1
    tty: true
    networks:
      - skeleton-docker.network
    restart: always
    container_name: ${PROJECT}.mariadb.${ENV}
    env_file: conf/.env/mariadb.env
    ports:
      - "3306:3306"
    volumes:
      - ./conf/mysql/config/mariadb.cnf:/etc/mysql/conf.d/custom.cnf:ro
      - ./volume/mariadb:/var/lib/mysql

  pma:
    image: phpmyadmin
    container_name: ${PROJECT}.pma.${ENV}
    networks:
      - skeleton-docker.network
    env_file: conf/.env/pma.env
    ports:
      - "8080:80"
    restart: unless-stopped
